summaryrefslogtreecommitdiffstats
path: root/source/ap/cups/cups.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2022-09-21 19:19:07 +0000
committer Eric Hameleers <alien@slackware.com>2022-09-22 06:59:46 +0200
commit5a04d2d705926c4691d26307b0125cfb290e6ee7 (patch)
treed72b5ffbc568245cbd2b3992eb815f4128a52e3d /source/ap/cups/cups.SlackBuild
parentbae5a7d8587d3c1c7fd0ca466a80bb744833c012 (diff)
downloadcurrent-20220921191907.tar.gz
current-20220921191907.tar.xz
Wed Sep 21 19:19:07 UTC 202220220921191907
ap/cups-2.4.2-x86_64-3.txz: Rebuilt. Fixed crash when using the CUPS web setup interface: [PATCH] Fix OpenSSL crash bug - "tls" pointer wasn't cleared after freeing it (Issue #409). Thanks to MisterL, bryjen, and kjhambrick. Fixed an OpenSSL certificate loading issue: [PATCH] The OpenSSL code path wasn't loading the full certificate chain (Issue #465). Thanks to tmmukunn.
Diffstat (limited to 'source/ap/cups/cups.SlackBuild')
-rwxr-xr-xsource/ap/cups/cups.SlackBuild9
1 files changed, 8 insertions, 1 deletions
diff --git a/source/ap/cups/cups.SlackBuild b/source/ap/cups/cups.SlackBuild
index 172af643d..1565cb15c 100755
--- a/source/ap/cups/cups.SlackBuild
+++ b/source/ap/cups/cups.SlackBuild
@@ -26,7 +26,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=cups
VERSION=${VERSION:-$(echo $PKGNAM-2*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-3}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -81,6 +81,12 @@ cd cups-$VERSION || exit 1
sed -i.orig -e 's#$exec_prefix/lib/cups#$libdir/cups#g' configure
+# Fix OpenSSL crash:
+zcat $CWD/c0c403744b1bf4a9790a8fcaabcd60970cbefe06.patch.gz | patch -p1 --verbose || exit 1
+
+# Fix OpenSSL certificate loading issue:
+zcat $CWD/cd84d7fde692237af4996d4a0e985a3eb4a293f0.patch.gz | patch -p1 --verbose || exit 1
+
# Choose correct options depending on whether PAM is installed:
if [ -L /lib${LIBDIRSUFFIX}/libpam.so.? ]; then
PAM_OPTIONS="--enable-pam"
@@ -94,6 +100,7 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--libdir=/usr/lib${LIBDIRSUFFIX} \
+ --with-pkgconfpath=/usr/lib${LIBDIRSUFFIX}/pkgconfig \
--enable-cdsassl=no \
--docdir=/usr/doc \
--mandir=/usr/man \